Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.time
Class NumericDateUtil

    java.lang.Object
      org.encog.util.time.NumericDateUtil

    public class NumericDateUtil

extends Object

Field Summary
`static int` | `HOUR_OFFSET`
`static int` | `MINUTE_OFFSET`
`static int` | `MONTH_OFFSET`
`static int` | `YEAR_OFFSET`

Constructor Summary
`NumericDateUtil()`

Method Summary
`static long` | `combine(long date, int time)`
`static long` | `date2Long(Date time)`
`static int` | `GetDayOfWeek(long p)`
`static int` | `getMinutePeriod(int time, int period)`
`static int` | `getMonth(long l)`
`static int` | `getYear(long date)`
`static boolean` | `haveSameDate(Date d1, Date d2)`
`static Date` | `int2Time(Date date, int i)`
`static Date` | `long2Date(long l)`
`static Date` | `stripTime(Date time)`
`static int` | `time2Int(Date time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEAR_OFFSET

    public static final int YEAR_OFFSET

See Also:
  Constant Field Values

### MONTH_OFFSET

    public static final int MONTH_OFFSET

See Also:
  Constant Field Values

### HOUR_OFFSET

    public static final int HOUR_OFFSET

See Also:
  Constant Field Values

### MINUTE_OFFSET

    public static final int MINUTE_OFFSET

See Also:
  Constant Field Values

Constructor Detail

### NumericDateUtil

    public NumericDateUtil()

Method Detail

### date2Long

    public static long date2Long(Date time)

### long2Date

    public static Date long2Date(long l)

### stripTime

    public static Date stripTime(Date time)

### haveSameDate

    public static boolean haveSameDate(Date d1,
                                       Date d2)

### int2Time

    public static Date int2Time(Date date,
                                int i)

### time2Int

    public static int time2Int(Date time)

### getYear

    public static int getYear(long date)

### getMonth

    public static int getMonth(long l)

### getMinutePeriod

    public static int getMinutePeriod(int time,
                                      int period)

### combine

    public static long combine(long date,
                               int time)

### GetDayOfWeek

    public static int GetDayOfWeek(long p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.